build.version_codes.m 找不到

今天在导入一个开源项目代码的时候出现了一个错误,build.version_codes.m 找不到,网上搜了下没找到答案。

具体代码如下:


可以看到的是
@TargetApi(Build.VERSION_CODES.M)
这句代码的 "M"编译器给出了红牌。
一开始很疑惑,不知道什么原因,后来找了下"Build.VERSION_CODES.M"代表的是Android 6.0的版本了,我才明白过来。
因为在我的开发环境中,我的安卓插件,以及sdk的版本都还没有更新到android 6.0。所以编译器不认识 @TargetApi(Build.VERSION_CODES.M) 当然也就情有可原。

解决办法,更新sdk版本 或者直接删除该部分代码。

思考:google在这一理念的设计上,有着对开发人员使用最新sdk的要求。


          
展开阅读全文

没有更多推荐了,返回首页